<!--
  Generated template for the AddRecruitmentPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-content>


  <ion-grid class="popup-check-out">
      <ion-row>
            <ion-col col-6>
                <h2>Add Documentst</h2>
            </ion-col>
            <ion-col col-6 text-right>
                <button  (click)="closeModal()">cancel</button>
                <button class="submit" (click)="submit(data)">{{type}} Documents</button>
            </ion-col>
      </ion-row>
  </ion-grid>
  <ion-grid class="popup-check-text">

      <form [formGroup]="productForm" novalidate>


        <div *ngIf="!isEmpty">
        <ion-row>
            <ion-col col-12>
                <h2>Document Type <span>*</span></h2>

                <ion-select  formControlName="Gender"   interface ="action-sheet"
                 [(ngModel)]="data.documenttype "  >
                    <ion-option  [value]="ti" *ngFor ="let ti of Title ">{{ti}}</ion-option>

                </ion-select>
                <div style="color: red; "*ngIf="productForm.controls['Gender'].hasError('required') && productForm.controls['Gender'].touched">* The field is required</div>
                <div style="color: red; " *ngIf="productForm.controls['Gender'].hasError('pattern') && productForm.controls['Gender'].touched">* Only alphabets are allowed!</div>

            </ion-col>


            <ion-col col-12>
                <h2>Document Reference <span>*</span></h2>

                    <ion-item >
                        <ion-input  formControlName="Firstname"    [(ngModel)]="data.documentrefer" type="text" placeholder="Document Reference" ></ion-input>
                    </ion-item>

            </ion-col>
            <div style="color: red; " *ngIf="productForm.controls['Firstname'].hasError('required') && productForm.controls['Firstname'].touched">* The field is required</div>
            <div style="color: red; " *ngIf="productForm.controls['Firstname'].hasError('pattern') && productForm.controls['Firstname'].touched">* Only alphabets are allowed!</div>



            <ion-col col-12>
                <h2>Date Accepted<span>*</span></h2>

                <ion-item no-lines>
                    <ion-datetime   formControlName="applicationsubmission"  [(ngModel)]="data.acceptdate" displayFormat="MM/DD/YYYY"   placeholder="Date Accepted"  min="2019" max="2050"  ></ion-datetime>
               </ion-item>
            </ion-col>
            <!-- <div style="color: red; " *ngIf="productForm.controls['applicationsubmission'].hasError('required') && productForm.controls['applicationsubmission'].touched">* The field is required</div>
            <ion-col col-12>
                <h2>Source <span>*</span></h2>

                <ion-select  formControlName="source"   [(ngModel)]="data.source" >
                    <ion-option  [value]="ti" *ngFor ="let ti of Source ">{{ti}}</ion-option>

                </ion-select>
                <div style="color: red; "*ngIf="productForm.controls['source'].hasError('required') && productForm.controls['source'].touched">* The field is required</div>
                <div style="color: red; " *ngIf="productForm.controls['source'].hasError('pattern') && productForm.controls['source'].touched">* Only alphabets are allowed!</div>

            </ion-col> -->
        </ion-row>
        <ion-row>
            <ion-col col-12>
                <h2>Valid Till<span>*</span></h2>
                    <ion-item no-lines>
                         <ion-datetime   formControlName="interview1"  [(ngModel)]="data.validdate"   placeholder="Valid Till"  pickerFormat="MM/DD/YYYY" min="2019" max="2050"  ></ion-datetime>
                    </ion-item>
            </ion-col>
            <div class="error-box" *ngIf="productForm.controls['interview1'].hasError('required') && productForm.controls['interview1'].touched">* The field is required</div>
<!--
            <div class="error-box" *ngIf="productForm.controls['interview3'].hasError('required') && productForm.controls['interview3'].touched">* The field is required</div>
            <div class="error-box" *ngIf="productForm.controls['interview2'].hasError('required') && productForm.controls['interview2'].touched">* The field is required</div>
            <div class="error-box" *ngIf="productForm.controls['interview1'].hasError('required') && productForm.controls['interview1'].touched">* The field is required</div> -->

        </ion-row>
        </div>
       </form>
  </ion-grid>


  <ion-col  col-12 class="padding-check">


    <ion-item class="absolute-box">

    </ion-item>
    <div class="upload-documents">
      <div>
        <ion-icon name="md-cloud-upload"></ion-icon>
        <h6>Upload Documents</h6>
        <p>Maximum file size: 10MB</p>
      </div>
    </div>
    <!-- <p>Supported documents pdf</p> -->
  </ion-col>



</ion-content>
